Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::ICameraProperties Class Reference

An interface to retrieve the properties of a CameraDevice. More...

`#include <CameraDevice.h>`

Inheritance diagram for Argus::ICameraProperties:

List of all members.

## Public Member Functions

virtual UUID | getUUID () const =0
| Returns the camera UUID.
virtual uint32_t | getMaxAeRegions () const =0
| Returns the maximum number of regions of interest supported by AE.
virtual uint32_t | getMaxAwbRegions () const =0
| Returns the maximum number of regions of interest supported by AWB.
virtual Status | getSensorModes (std::vector< SensorMode * > *modes) const =0
| Returns the available sensor modes.
virtual Range< int32_t > | getFocusPositionRange () const =0
| Returns the valid range of focuser positions.
virtual Range< float > | getLensApertureRange () const =0
| Returns the supported aperture range.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~ICameraProperties ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

An interface to retrieve the properties of a CameraDevice.

Definition at line 58 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::ICameraProperties::~ICameraProperties | ( |  | ) |

inlineprotected

Definition at line 105 of file CameraDevice.h.

## Member Function Documentation

virtual Range<int32_t> Argus::ICameraProperties::getFocusPositionRange | ( |  | ) | const

pure virtual

Returns the valid range of focuser positions.

The units are focuser steps.

virtual Range<float> Argus::ICameraProperties::getLensApertureRange | ( |  | ) | const

pure virtual

Returns the supported aperture range.

virtual uint32_t Argus::ICameraProperties::getMaxAeRegions | ( |  | ) | const

pure virtual

Returns the maximum number of regions of interest supported by AE.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAeRegions()

virtual uint32_t Argus::ICameraProperties::getMaxAwbRegions | ( |  | ) | const

pure virtual

Returns the maximum number of regions of interest supported by AWB.

A value of 0 means that the entire image is the only supported region of interest.

See also:
  IAutoControlSettings::setAwbRegions()

virtual Status Argus::ICameraProperties::getSensorModes | ( | std::vector< SensorMode * > * | modes | ) | const

pure virtual

Returns the available sensor modes.

Parameters:

  [out] | modes,a | vector that will be populated with the sensor modes.

Returns:
  success/status of the call.

virtual UUID Argus::ICameraProperties::getUUID | ( |  | ) | const

pure virtual

Returns the camera UUID.

Todo:
  DOC describe the camera UUID

static const InterfaceID& Argus::ICameraProperties::id | ( |  | ) |

inlinestatic

Definition at line 61 of file CameraDevice.h.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h